Bug 240022 - Mod_proxy_http ProxyErrorOverride eating cookies
Summary: Mod_proxy_http ProxyErrorOverride eating cookies
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-14 14:06 UTC by Martin Poole
Modified: 2018-10-19 23:31 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0747
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 15:06:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport of upstream fix for proxyoverride problem (2.82 KB, patch)
2007-05-14 14:06 UTC, Martin Poole
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0747 normal SHIPPED_LIVE Moderate: httpd security, bug fix, and enhancement update 2007-11-15 15:06:14 UTC
Apache Bugzilla 39245 None None None Never

Description Martin Poole 2007-05-14 14:06:08 UTC
Description of problem:
Set-Cookie headers are not forwarded to the user client when the status code is
3xx and the ProxyErrorOverride directive is set to "on". It seems to be the
issue described in:

http://issues.apache.org/bugzilla/show_bug.cgi?id=39245

Version-Release number of selected component (if applicable):

httpd-2.0.52-32

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Martin Poole 2007-05-14 14:06:10 UTC
Created attachment 154646 [details]
Backport of upstream fix for proxyoverride problem

Comment 2 Joe Orton 2007-05-14 14:17:46 UTC
That's not the fix which was used upstream, nor one we would adopt.  The correct
patch to use is as:

http://svn.apache.org/viewvc?view=rev&rev=527969

Comment 11 Rainer Traut 2007-07-03 06:40:32 UTC
I see the same in a reverse proxy config in front of Lotus Domino. Setting
ProxyErrorOverride to 'on' will prevent users from logging in.
Will this fix be integrated in EL4's apache?


Comment 12 Joe Orton 2007-07-03 08:28:00 UTC
Rainer: the fix for this is scheduled to be included in the 4.6 update.  If you
need packages which include the fix sooner, please contact Red Hat Support
(https://www.redhat.com/apps/support/)

Comment 15 Jan Lieskovsky 2007-08-07 10:22:28 UTC
For BZ#240022 -- this time both triples are at the expected place:

Latest httpd packages (httpd-2.0.52-38.ent.i386):

1, @i386-4as-bos bug244639]# bash runtest.sh
Stopping httpd:                                            [FAILED]
Starting httpd:                                            [  OK  ]
HTTP/1.1 201 From the CGI Script
Date: Tue, 07 Aug 2007 10:04:24 GMT
Server: Apache/2.0.52 (Red Hat)
Content-Type: text/plain; charset=UTF-8
Connection: close
Transfer-Encoding: chunked

origin
HTTP/1.1 302 From the CGI Script
Date: Tue, 07 Aug 2007 10:04:24 GMT
Server: Apache/2.0.52 (Red Hat)
Content-Type: text/plain; charset=UTF-8
Connection: close
Transfer-Encoding: chunked

origin
HTTP/1.1 400 At the Proxy
Date: Tue, 07 Aug 2007 10:04:24 GMT
Server: Apache/2.0.52 (Red Hat)
Content-Length: 10
Connection: close
Content-Type: text/plain; charset=UTF-8

proxy-400
HTTP/1.1 500 At the Proxy
Date: Tue, 07 Aug 2007 10:04:24 GMT
Server: Apache/2.0.52 (Red Hat)
Connection: close
Content-Type: text/plain; charset=UTF-8

proxy-500
origin
origin
proxy-400
HTTP/1.1 400 At the Proxy
proxy-500
HTTP/1.1 500 At the Proxy
Stopping httpd:                                            [  OK  ]
PASS 0

-> PASS

Comment 17 errata-xmlrpc 2007-11-15 15:06:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0747.html



Note You need to log in before you can comment on or make changes to this bug.